Subject: [bug#38603] branch master updated: gnu: Add mercury.

From: [email-masked]
Date: Thu, 23 Jul 2020 23:26:18 +0200

On 23.07.2020 20:34, Tobias Geerinckx-Rice via Guix-patches via wrote:
> Hi Brett,
> 
> [email-masked] 写道：
>> commit 7235ce224e3d20b5f73474cac2d3b34b50d754a5
>> Author: Brett Gilio <[email-masked]>
>> AuthorDate: Thu Jul 23 12:13:59 2020 -0500
>> 
>>     gnu: Add mercury.
>>         * gnu/local.mk (GNU_SYSTEM_MODULES): Add mercury.scm.
>>     * gnu/packages/mercury.scm: New file.
> 
> Thanks!  I'd close the bug but I'm unable to get past
> mercury-minimal[0].  I suppose it's a permissions issue: the files in
> question are -r--r--r--.
> 
>> +              ((#:configure-flags flags ''())
>> +               `(list ""))
> 
> Is this a weird work-around for something?  If so, please add a
> comment.  If not, remove the "".
> 
> (‘flags’ could be ‘_’ as in
> 
>> +              ((#:tests? _) #f) ; FIXME: Many test-cases failing.
> 
> but that will change the hash.)
> 
> Kind regards,
> 
> T G-R

Hi Tobias, Thank you for telling me. I thought I had gotten the 
conditions just right, at least for the
mercury-minimal compiler, but it seems there is more work to be done! 
Yes, leave this bug open
and I will investigate. I am trying my best to keep the changes 
contained and well tested to my
computers to prevent over-working the build server, so I appreciate 
patience as mercury is turning
out to be somewhat convoluted. :)

If others are following the progress here, please feel free to post 
suggestions and patches. I will
have to investigate this probably tomorrow or over the weekend.

Brett Gilio